Package: groovy.contracts

## [Java] Annotation Type RequiresConditions

- groovy.contracts.RequiresConditions

-     @Retention(RetentionPolicy.RUNTIME)
      @Target({ElementType.CONSTRUCTOR, ElementType.METHOD})
      @Incubating
      public @interface RequiresConditions

  Represents multiple preconditions.

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `Requires[]` | `value`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public Requires[] value